#include <exec/types.h>

#include <stdlib.h>

#include "header.h"

#include <proto/dlg.h>

extern struct Library *DLGBase;

extern struct area *get_area(struct areas *,int);

struct area *find_area_name(struct areas *as,char *string)
{
   struct area *a;

   a = get_area(as,1);

   while( (a != 0) && Stricmp( a->name, string ) )
   {
      a = a->next_area;
   }

   return(a);       /* return of zero is error. */
}

